Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1799903 - publican: FTBFS in Fedora rawhide/f32: nothing provides mvn(avalon-logkit:avalon-logkit) needed by avalon-framework-4.3-24.fc31.noarch
Summary: publican: FTBFS in Fedora rawhide/f32: nothing provides mvn(avalon-logkit:ava...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: publican
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeff Fearn 🐞
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1799180
Blocks: F32FTBFS 1799842
TreeView+ depends on / blocked
 
Reported: 2020-02-06 19:37 UTC by Fedora Release Engineering
Modified: 2020-11-03 13:51 UTC (History)
3 users (show)

Fixed In Version: publican-4.3.2-16.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-21 23:49:50 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2020-02-06 19:37 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2020-02-06 19:37 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2020-02-06 19:38 UTC, Fedora Release Engineering
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Fedora Koji taskID 44793339 0 None None None 2020-05-21 23:49:49 UTC

Description Fedora Release Engineering 2020-02-06 19:37:54 UTC
publican failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41320497


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix publican at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
publican will be orphaned. Before branching of Fedora 33,
publican will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 19:37:57 UTC
Created attachment 1660388 [details]
build.log

Comment 2 Fedora Release Engineering 2020-02-06 19:37:58 UTC
Created attachment 1660389 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 19:38:00 UTC
Created attachment 1660390 [details]
state.log

Comment 4 Jan PokornΓ½ [poki] 2020-02-07 16:03:55 UTC
re [comment 2]:

> DEBUG util.py:596:  Error:
> DEBUG util.py:596:   Problem: package fop-2.2-4.fc30.noarch requires avalon-framework >= 4.1.4, but none of the providers can be installed
> DEBUG util.py:596:    - conflicting requests
> DEBUG util.py:596:    - nothing provides mvn(avalon-logkit:avalon-logkit) needed by avalon-framework-4.3-24.fc31.noarch
> DEBUG util.py:598:  (try to add '--skip-broken' to skip uninstallable packages)

This is the same problem that touches fop itself:
[bug 1799365 comment 4]

The bottom-most problem may be FTBFS with avalon-framework:
[bug 1799180].

I am marking such a suspicion with explicit dependency between
the latter and this bug.  It may be more complicated (e.g. rebuilt
avalon-framework SRPM, when the FTBFS fixed, may not actually satisfy
"mvn(avalon-logkit:avalon-logkit)") so more investigation would be
needed then.

Comment 5 Ben Cotton 2020-02-11 16:37:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 6 Jeff Fearn 🐞 2020-02-12 00:41:19 UTC
Hey Rudi, are you OK with me removing the FOP dependency and removing the PDF tests in the build?

The effect will be that PDF generation won't be supported out of the box, but if users manually install FOP or wkhtmtopdf then PDFs will work.

Comment 7 Fedora Release Engineering 2020-02-16 04:28:27 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 8 Fedora Release Engineering 2020-03-01 04:27:36 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 9 Fedora Release Engineering 2020-03-08 04:29:40 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 32.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (that's on 2020-04-02).

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-33/f-33-key-tasks.html

Comment 10 Fedora Release Engineering 2020-03-29 04:26:24 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 32.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (that's on 2020-04-02).

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-33/f-33-key-tasks.html

Comment 11 Jeff Fearn 🐞 2020-04-02 00:18:54 UTC
I'm going to remove FOP dependency as discussed in comment 6.

Comment 12 Jeff Fearn 🐞 2020-05-21 23:49:50 UTC
Built successfully in rawhide.


Note You need to log in before you can comment on or make changes to this bug.